%global revision 572a0baa91d1

Name:             decentxml
Version:          1.4
Release:          %mkrel 18
Group:            Development/Java
Summary:          XML parser optimized for round-tripping and code reuse
License:          BSD
# Google Code has shut down.
# URL:            http://code.google.com/p/decentxml
URL:              https://bitbucket.org/digulla/%{name}
BuildArch:        noarch

# Google Code has shut down.
# Source0:        https://decentxml.googlecode.com/files/decentxml-1.4-src.zip
#
# This version is equivalent to the last Google Code release, other than
# folder structure due to how Bitbucket makes zip archives:
#
# decentxml-1.4 -> digulla-decentxml-572a0baa91d1
Source0:          https://bitbucket.org/digulla/%{name}/get/r%{version}.zip

# For running w3c conformance test suite.
Source1:          http://www.w3.org/XML/Test/xmlts20031210.zip

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)


%description
XML parser optimized for round-tripping and code reuse with main
features being:
 * Allows 100% round-tripping, even for weird white-space between
   attributes in the start tag or in the end tag
 * Suitable for building editors and filters which want/need to
   preserve the original file layout as much as possible
 * Error messages have line and column information
 * Easy to reuse individual components
 * XML 1.1 compatible

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n digulla-%{name}-%{revision}

# We are looking for xml conformance data one level above so unzip
# here and symlink there.
unzip %{SOURCE1}
ln -sf %{name}-%{version}/xmlconf ../xmlconf
sed -i -e "s|junit-dep|junit|g" pom.xml

# Two tests fail with Java 8, probably because of some Unicode incompatibility.
sed -i '/not_wf_sa_16[89] /d' src/test/java/de/pdark/decentxml/XMLConformanceTest.java

%pom_remove_plugin :maven-javadoc-plugin

# remove maven-compiler-plugin configuration that is broken with Java 11
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

# Don't use deprecated "attached" goal of Maven Assembly Plugin, which
# was removed in version 3.0.0.
%pom_xpath_set "pom:plugin[pom:artifactId='maven-assembly-plugin']/pom:executions/pom:execution/pom:goals/pom:goal[text()='attached']" single

%build
%mvn_file  : %{name}
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Fri Sep 11 2020 daviddavid <daviddavid> 1.4-18.mga8
+ Revision: 1624387
- Override javac source and target versions to fix build with Java 11
- Rebuilt for JDK-11

* Fri Feb 14 2020 umeabot <umeabot> 1.4-17.mga8
+ Revision: 1522174
- Mageia 8 Mass Rebuild

* Wed Jan 23 2019 daviddavid <daviddavid> 1.4-16.mga7
+ Revision: 1359990
- Don't use deprecated goal of maven-assembly-plugin

* Tue Sep 18 2018 umeabot <umeabot> 1.4-15.mga7
+ Revision: 1261981
- Mageia 7 Mass Rebuild

* Thu May 18 2017 neoclust <neoclust> 1.4-14.mga6
+ Revision: 1103048
- Fix buildRequires

* Wed Mar 02 2016 neoclust <neoclust> 1.4-13.mga6
+ Revision: 982555
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.4-12.mga6
+ Revision: 975756
- First rebuild of the java stack
- sync package decentxml with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 dmorgan <dmorgan> 1.4-7.mga5
+ Revision: 805190
- imported package decentxml


* Fri Feb 25 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3-1
- Initial version of the package

